using isnd.Data.Catalog;
using Newtonsoft.Json;

namespace isn.Abstract
{
    public class ApiIndexViewModel : HappyIdOwner
    {
        public ApiIndexViewModel(string id) : base(id)
        {
        }
        
        [JsonProperty("@id")]
        public string Id { get => GetId(); }
        
        [JsonProperty("version")]
        public string Version { get; set; }
        
        [JsonProperty("resources")]
        public Resource[] Resources { get; set; }
    }
}